# Visualization
TKV3d
Graphic3d

# Graphic3d_Strips Class Reference

`#include <Graphic3d_Strips.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | STRIPT_INIT (const Standard_Integer NBVERTICES, const TColStd_Array1OfInteger &TABTRIANGLES)
static Standard_EXPORT void | STRIPT_GET_STRIP (Standard_Integer &NBTRIANGLES, Standard_Integer &V1, Standard_Integer &V2)
static Standard_EXPORT void | STRIPT_GET_VERTEX (Standard_Integer &VERTEX, Standard_Integer &TRIANGLE)
static Standard_EXPORT void | STRIPQ_INIT (const Standard_Integer NBVERTICES, const Standard_Integer NBQUADRANG, const TColStd_SequenceOfInteger &TABQUADRANGLES)
static Standard_EXPORT void | STRIPQ_GET_STRIP (Standard_Integer &NBQUAD, Standard_Integer &V1, Standard_Integer &V2)
static Standard_EXPORT void | STRIPQ_GET_NEXT (Standard_Integer &VERTEX1, Standard_Integer &VERTEX2, Standard_Integer &QUADRANGLE)

## Member Function Documentation

void Graphic3d_Strips::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_Strips::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_Strips::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void Graphic3d_Strips::STRIPQ_GET_NEXT | ( | Standard_Integer & | VERTEX1,
|  | Standard_Integer & | VERTEX2,
|  | Standard_Integer & | QUADRANGLE
| ) | `[static]`

static Standard_EXPORT void Graphic3d_Strips::STRIPQ_GET_STRIP | ( | Standard_Integer & | NBQUAD,
|  | Standard_Integer & | V1,
|  | Standard_Integer & | V2
| ) | `[static]`

static Standard_EXPORT void Graphic3d_Strips::STRIPQ_INIT | ( | const Standard_Integer | NBVERTICES,
|  | const Standard_Integer | NBQUADRANG,
|  | const TColStd_SequenceOfInteger & | TABQUADRANGLES
| ) | `[static]`

static Standard_EXPORT void Graphic3d_Strips::STRIPT_GET_STRIP | ( | Standard_Integer & | NBTRIANGLES,
|  | Standard_Integer & | V1,
|  | Standard_Integer & | V2
| ) | `[static]`

static Standard_EXPORT void Graphic3d_Strips::STRIPT_GET_VERTEX | ( | Standard_Integer & | VERTEX,
|  | Standard_Integer & | TRIANGLE
| ) | `[static]`

static Standard_EXPORT void Graphic3d_Strips::STRIPT_INIT | ( | const Standard_Integer | NBVERTICES,
|  | const TColStd_Array1OfInteger & | TABTRIANGLES
| ) | `[static]`

The documentation for this class was generated from the following file:

- Graphic3d_Strips.hxx